package com.zjrs.ggfw.rlzysc.dto;

import jakarta.validation.constraints.NotBlank;

public class JlxxGzjyUDTO implements java.io.Serializable {
    private static final long serialVersionUID = 1L;
    private String rsrlzygzjylsh;  //工作经验流水号
    private String dyblsh; //对应表流水号
    @NotBlank(message = "简历信息流水号不能为空")
    private String rsrlzyjlxxlsh;  //简历信息流水号
    @NotBlank(message = "工作单位不能为空")
    private String gzdw;//工作单位
    @NotBlank(message = "所在职位不能为空")
    private String szzw;//所在职位
    @NotBlank(message = "开始时间不能为空")
    private String kssj;//开始时间
    private String jssj;//结束时间
    private String sshy;//所属行业
    private String dwlb;//单位类别
    private String jjlx;//经济类型
    private String rygm;//人员规模
    @NotBlank(message = "工作职责不能为空")
    private String gzzz;//工作职责
    @NotBlank(message = "工作业绩不能为空")
    private String gzyj;//工作业绩

    private String jlssr;

    public String getJlssr() {
        return jlssr;
    }

    public void setJlssr(String jlssr) {
        this.jlssr = jlssr;
    }

    public String getRsrlzygzjylsh() {
        return rsrlzygzjylsh;
    }

    public void setRsrlzygzjylsh(String rsrlzygzjylsh) {
        this.rsrlzygzjylsh = rsrlzygzjylsh;
    }

    public String getRsrlzyjlxxlsh() {
        return rsrlzyjlxxlsh;
    }

    public void setRsrlzyjlxxlsh(String rsrlzyjlxxlsh) {
        this.rsrlzyjlxxlsh = rsrlzyjlxxlsh;
    }

    public String getGzdw() {
        return gzdw;
    }

    public void setGzdw(String gzdw) {
        this.gzdw = gzdw;
    }

    public String getSzzw() {
        return szzw;
    }

    public void setSzzw(String szzw) {
        this.szzw = szzw;
    }

    public String getKssj() {
        return kssj;
    }

    public void setKssj(String kssj) {
        this.kssj = kssj;
    }

    public String getJssj() {
        return jssj;
    }

    public void setJssj(String jssj) {
        this.jssj = jssj;
    }

    public String getSshy() {
        return sshy;
    }

    public void setSshy(String sshy) {
        this.sshy = sshy;
    }

    public String getDwlb() {
        return dwlb;
    }

    public void setDwlb(String dwlb) {
        this.dwlb = dwlb;
    }

    public String getJjlx() {
        return jjlx;
    }

    public void setJjlx(String jjlx) {
        this.jjlx = jjlx;
    }

    public String getRygm() {
        return rygm;
    }

    public void setRygm(String rygm) {
        this.rygm = rygm;
    }

    public String getGzzz() {
        return gzzz;
    }

    public void setGzzz(String gzzz) {
        this.gzzz = gzzz;
    }

    public String getGzyj() {
        return gzyj;
    }

    public void setGzyj(String gzyj) {
        this.gzyj = gzyj;
    }

    public String getDyblsh() {
        return dyblsh;
    }

    public void setDyblsh(String dyblsh) {
        this.dyblsh = dyblsh;
    }
}

